VisualEditor: Show the <newarticletext> message when creating a new article
Closed, ResolvedPublic

Description

When creating a new article in the source editor, a box with the message newarticletext appears at the top. It doesn't appear in the VisualEditor.

Compare:

source: https://en.wikipedia.org/w/index.php?title=Aklotspa&action=edit

VE: https://en.wikipedia.org/wiki/Aklotspa?veaction=edit


Version: unspecified
Severity: trivial

bzimport set Reference to bz51459.
Amire80 created this task.Via LegacyJul 16 2013, 6:51 PM
jayvdb added a comment.Via ConduitJul 20 2013, 6:44 AM

This is something that obviously must be fixed before VE is enabled by default, which is planned for Real Soon Now(tm).

Jdforrester-WMF added a comment.Via ConduitJul 22 2013, 3:36 PM

(In reply to comment #1)

This is something that obviously must be fixed before VE is enabled by
default, which is planned for Real Soon Now(tm).

By default for whom on which wiki? It's been enabled by default on enwiki since 1 July for logged-in users and since 15 July for anonymous users too.

jayvdb added a comment.Via ConduitJul 22 2013, 11:19 PM
jayvdb added a comment.Via ConduitJul 23 2013, 6:57 PM

The resolution of Bug 51160 gives me hope. French Wikipedia transcludes Talk:.../Suppression subpages for some deleted articles.

https://fr.wikipedia.org/w/index.php?title=Sp%C3%A9cial%3ARecherche&profile=advanced&search=Suppression&fulltext=Search&ns1=1&redirs=1&profile=advanced

gerritbot added a comment.Via ConduitJul 24 2013, 9:43 AM

Change 75563 had a related patch set uploaded by Esanders:
Show newarticletext(anon) when creating a new page

https://gerrit.wikimedia.org/r/75563

gerritbot added a comment.Via ConduitJul 24 2013, 2:33 PM

Change 75563 merged by jenkins-bot:
Show newarticletext(anon) when creating a new page

https://gerrit.wikimedia.org/r/75563

Jdforrester-WMF added a comment.Via ConduitJul 24 2013, 2:38 PM

Fixed and will get deployed in a few minutes.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.